FlashCall

POST /api/v1/flashCall Creating a FlashCall
Request URL
POST https://app.sms.by/api/v1/flashCall

Parameters

Parameter Location Type Required Description
token formData string Yes Your API key
code formData integer No Confirmation code (If not specified, it will be generated automatically)
phone formData string Yes Phone number for FlashCall
attempt formData integer No Number of attempts to confirm the code (if not specified then 3)
time_valid formData integer No Validity period of the confirmation code in seconds (if not specified, then 90)

Responses

200 — Completed successfully

{
    "status": "success",
    "data": {
        "code": "557594",
        "phone": "375251234567",
        "time_valid": "90",
        "fclid": "261f72de286e1621b5100abae1c5239c",
        "attempt": 3
    }
}

400 — Incorrect request

421 — Data not verified

500 — Server is not available

POST /api/v1/confirmFlashCall FlashCall code check
Request URL
POST https://app.sms.by/api/v1/confirmFlashCall

Parameters

Parameter Location Type Required Description
token formData string Yes Your API key
code formData integer Yes Confirmation code
phone formData string Yes Phone number
fclid formData string Yes fclid from flashCall method when created

Responses

200 — Completed successfully

{
    "status": "success",
    "message": "Code confirmed",
    "data": {
        "fclid": "91cc691561e564554f122a903ea2c762",
        "phone": "375257077727",
        "activated_at": "2021-04-28 14:26:33",
        "valid": 1,
        "quantity": 1
    }
}

400 — Incorrect request

421 — Data not verified

500 — Server is not available